Bug 659850 - If VM boot seq. is set up as nc (PXE then disk) the VM is always stuck on trying to PXE boot
Summary: If VM boot seq. is set up as nc (PXE then disk) the VM is always stuck on try...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm
Version: 5.5.z
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Virtualization Maintenance
QA Contact: Virtualization Bugs
URL:
Whiteboard:
: 661339 (view as bug list)
Depends On: 652671
Blocks: Rhel5KvmTier2 Rhel5KvmTier1
TreeView+ depends on / blocked
 
Reported: 2010-12-03 20:44 UTC by Chris Pelland
Modified: 2018-11-14 16:08 UTC (History)
17 users (show)

Fixed In Version: kvm-83-164.el5_5.28
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-20 17:37:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0998 normal SHIPPED_LIVE Low: kvm security and bug fix update 2010-12-20 17:36:54 UTC

Description Chris Pelland 2010-12-03 20:44:17 UTC
This bug has been copied from bug #652671 and has been proposed
to be backported to 5.5 z-stream (EUS).

Comment 6 James M. Leddy 2010-12-09 18:23:43 UTC
*** Bug 661339 has been marked as a duplicate of this bug. ***

Comment 8 Chao Yang 2010-12-14 10:51:11 UTC
1. reproduced and hit same issue,VM is always stuck on trying to PXE boot

# alternatives --config qemu-pxe-roms

There are 2 programs which provide 'qemu-pxe-roms'.

  Selection    Command
-----------------------------------------------
*  1           /usr/share/etherboot
 + 2           /usr/share/gpxe

Enter to keep the current selection[+], or type selection number: 2


# rpm -qa|grep kvm
kvm-debuginfo-83-164.el5_5.26
etherboot-zroms-kvm-5.4.4-13.el5
kvm-tools-83-164.el5_5.26
kvm-83-164.el5_5.26
kvm-qemu-img-83-164.el5_5.26
kmod-kvm-83-164.el5_5.26
 
# uname -r
2.6.18-194.30.1.el5

2.verified and did not hit, guest boot from hard disk when choose boot from hard disk

# alternatives --config qemu-pxe-roms

There are 2 programs which provide 'qemu-pxe-roms'.

  Selection    Command
-----------------------------------------------
*  1           /usr/share/etherboot
 + 2           /usr/share/gpxe

Enter to keep the current selection[+], or type selection number: 2


#/usr/libexec/qemu-kvm -no-hpet -usbdevice tablet -rtc-td-hack -startdate now -name RHEL5u5 -smp 2 -m 4G -boot nc -drive file=/root/Desktop/test-installation-via-net.qcow2,media=disk,if=ide,cache=none,format=qcow2,werror=stop -vnc :18 -cpu qemu64 -M rhel5.5.0 -notify all -balloon none -monitor stdio

# rpm -qa|grep kvm
kvm-qemu-img-83-164.el5_5.29
etherboot-zroms-kvm-5.4.4-13.el5
kmod-kvm-83-164.el5_5.29
kvm-tools-83-164.el5_5.29
kvm-83-164.el5_5.29
kvm-debuginfo-83-164.el5_5.29

# uname -r
2.6.18-194.30.1.el5

3. And if set boot seq. as cn, guest can boot from hard disk correctly.

Comment 11 errata-xmlrpc 2010-12-20 17:37:02 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0998.html


Note You need to log in before you can comment on or make changes to this bug.